import { useSelector, useDispatch } from 'react-redux';
import { increment, decrement } from '../store/counterSlice';
import { Link } from 'react-router-dom';

function Home() {
    const count = useSelector((state) => state.counter.value);
    const dispatch = useDispatch();

    return (
        <div className='home-container'>
            <h1>达人工具 MVP</h1>
            <p>Welcome to the Talent Tool MVP application</p>

            <div className='counter-section'>
                <h2>Counter Demo</h2>
                <p>Current count: {count}</p>
                <div className='button-group'>
                    <button onClick={() => dispatch(decrement())}>-</button>
                    <button onClick={() => dispatch(increment())}>+</button>
                </div>
            </div>

            <div className='navigation'>
                <Link to='/about'>About Page</Link>
            </div>
        </div>
    );
}

export default Home;
